/* $Id: cutpointset_gra.mly 1 2005-07-15 19:39:24Z lemaire $ */
%{
let i = ref (-1)
let v = ref []
%}
%token <int> INT
%token <float> FLOAT
%token SEP
%token EOL

%start read
%type <int*float list> read
%%
read:                      /* returns the values and clear them */
  cutpointset              { let tmp = (!i,!v)
                             in i := (-1); v := [];
                                tmp;
                           }
;

cutpointset:
  var SEP values          { }
;

var:
  INT                     { i := $1; }
;

values:
  num EOL         { v := $1::(!v) }
| num values      { v := $1::(!v) }
;

num:
  INT                       { float_of_int $1 }
| FLOAT                     { $1 }
;
