(* $Id: cutpointset_lex.mll 1 2005-07-15 19:39:24Z lemaire $ *)
{
open Cutpointset_gra;;
}

rule token = parse
  | [' ']                        { token lexbuf } (* skip spaces *)
  | ['\n''\r']+                  { EOL }
  | eof                          { EOL }
  | ('-')?['0'-'9']+'.'['0'-'9']* as x { FLOAT (float_of_string x) }
  | ('-')?['0'-'9']+ as x              { INT (int_of_string x) }
  | ':'                          { SEP }
