(* $Id: indexed.ml 11 2007-02-28 09:38:48Z pierre $ *)
(* ============================================================================
author: Pierre Lemaire
2004-11-01             : creation
2004-11-08             : Indexed.compare
============================================================================ *)

(* =========================================================================
   class indexed
   ========================================================================= *)
class indexed (_index_init: int) = 
object
  (* =======================================================================
     fields
     ======================================================================= *)
  val mutable index = _index_init
  
  (* =======================================================================
     properties
     ======================================================================= *)
   
   method index = index
   method set_index i = index <- i
  
end;;

(* =========================================================================
   comparison
   ========================================================================= *)

let compare x1 x2 = compare x1#index x2#index;;
