(* $Id: observation_lex.mll 8 2005-12-13 11:23:16Z lemaire $ *)
{
(* open Messages;; *)
open Observation_gra;;
}

rule token = parse
  | [' ']
      { (* trace TRACE_DEBUG " "; *)
	token lexbuf } (* skip spaces *)
  | ['\n''\r']+ (* as x *)
      { (* trace TRACE_DEBUG x; *)
	EOL 
      }
  | eof
      { EOL }
  | ('-')?['0'-'9']+'.'['0'-'9']* as x
      { (* trace TRACE_DEBUG x; *)
	FLOAT (float_of_string x) }
  | ('-')?['0'-'9']+ as x
      { (* trace TRACE_DEBUG x; *)
	INT (int_of_string x) }
  | [^';''\n''\r']* as x
      { (* trace TRACE_DEBUG x; *)
	STRING x }
  | ';'
      { (* trace TRACE_DEBUG ";"; *)
	SEP }



